import { GraphQLClient } from 'graphql-request';
import { BaseFunctions } from './BaseFunctions';
import { MutationCreateOneDatasetArgs } from '../gql/graphql';
import { ListDatasetsQueryVariables } from '../gql/graphql';
declare class DatasetFunctions extends BaseFunctions {
    constructor(client: GraphQLClient);
    listDatasets(options: ListDatasetsQueryVariables): Promise<import("../gql/graphql").ListDatasetsQuery>;
    getDataset(datasetId: number): Promise<import("../gql/graphql").GetDatasetQuery>;
    createDataset(data: MutationCreateOneDatasetArgs['data']): Promise<import("../gql/graphql").CreateDatasetMutation>;
    getDatasetCSV(datasetId: number): Promise<import("../gql/graphql").GetDatasetCsvQuery>;
}
export { DatasetFunctions };
